Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 0.6SynchronousAuth Required
GetVmConsolePassword
GetVmConsolePassword
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Query Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe VM instance UUID.
Query Parameters
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
GET/zstack/v1/vm-instances/{uuid}/console-passwords
/zstack/v1/vm-instances/{uuid}/console-passwords
Request Example
curl -X GET 'http://{host}/zstack/v1/vm-instances/{uuid}/console-passwords?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "consolePassword": "password" }Change History
This API has no change history records yet.
